import React from 'react'
import styles from './style.module.scss'
import { Select, Cascader, Input } from 'antd'

const AreaSelect: React.FC = props => {
  return (
    <div>
      <div className={styles.areaHeader}>
        <Select className={styles.infoInput} style={{ width: 80, marginRight: 8 }} placeholder="custom dropdown render"></Select>
        <Cascader className={styles.cascader} options={[]} onChange={null} placeholder="Please select" />
      </div>
      <Input placeholder="请输入地址门牌号" value={null} />
    </div>
  )
}

export default AreaSelect
