import { useLocation } from 'react-router-dom'
type returnd = string

/**获取路由参数值 */
export const useQueryParam = (paramKey: string): returnd => {
  const location = useLocation()
  const params = new URLSearchParams(location.search)
  const value = params.get(paramKey)
  return value
}
export default useQueryParam
