import { IDvaState } from '@/models/purchase-module/product-detail'

function findUniqSpec(props: IDvaState) {
  const { selectedSpecOptionObj, detailInfo } = props
  const { specs } = detailInfo
  const keys = Object.keys(selectedSpecOptionObj)
  const selectedCodes = keys.map(key => selectedSpecOptionObj[key].templateSpecOptionId)
  const result = specs.find(item => {
    const codesArr = item.specOptionCode.split(',')
    const isAllItemInSelectCodes = codesArr.reduce((pre, current, index) => {
      const it = codesArr[index]
      const isExist = selectedCodes.includes(it)
      return pre && isExist
    }, true)
    return isAllItemInSelectCodes
  })
  return result
}

export { findUniqSpec }
