import React from 'react'
import LeftSideMenu from './components/LeftMenu'
import TopSearch from './components/TopSearch'
import Content from './components/Content'
import styles from './style.module.scss'
import ShoppingCart from '../components/shopping-cart-bottom'

const PurchaseHome: React.FC = () => {
  return (
    <div className={styles.categoryWrapper}>
      <div className={styles.searchWrapper}>
        <TopSearch />
      </div>
      <div className={styles.menusAndContent}>
        <div className={styles.menuWrapper}>
          <LeftSideMenu />
        </div>
        <div className={styles.contentWrapper}>
          <Content />
        </div>
      </div>
      <ShoppingCart />
    </div>
  )
}

export default PurchaseHome
