/* 自定义弹窗类容 */
import { ReactNode } from 'react'

export interface ICustomizeModelContent {
  key: string
  title: string
  content: string | ReactNode
}

export enum EnumModelType {
  deleteItem = 'deleteItem',
  deleteByBatch = 'deleteByBatch',
  agentModel = 'agentModel'
}

const customizeModelContent: ICustomizeModelContent[] = [
  {
    key: 'deleteItem',
    title: '删除',
    content: '确认删除该规格下面的商品?'
  },
  {
    key: 'deleteByBatch',
    title: '批量删除',
    content: '确认删除所选商品?'
  },
  {
    key: 'agentModel',
    title: '选择代理商',
    content: '选择代理商'
  }
]

export default customizeModelContent
