import { IRouteConfig } from '../../typing'
import ExpressManage from '@/pages/express-manage'
import { EXPRESS_LIST } from './path'

const routes: IRouteConfig[] = [
  {
    path: EXPRESS_LIST,
    component: ExpressManage.List,
    breadcrumb: [
      { title: '物流管理', path: EXPRESS_LIST },
      { title: '收货管理', path: '' }
    ],
    exact: true,
    pageTitle: '收货管理',
    useLayout: true
  }
]

export default routes
