
    /**
     * @desc 订单支付
     */
    import request from '@/utils/request'
    export class IQueryParams {
      
      /** orderId */
      orderId: string;
      /** 登录code,前端无需传,网关解析:接口生成已屏蔽 */
      tokenUserCode?: string;
    }
  
    export 
    interface IParams{
      queryParams:IQueryParams
      
    }
    
    export function orderPay({queryParams}:IParams = {} as IParams) {
      return request({
        url: `/api/cphl/merch/order/status/namager/order/pay`,
        method: 'get',
        noLoading:false,
        params: queryParams
      });
    }
   