
    /**
     * @desc 获取登录用户配送地址列表
     */
    import request from '@/utils/request'
    export class IQueryParams {
      
      /** 登录code,前端无需传,网关解析:接口生成已屏蔽 */
      tokenUserCode?: string;
    }
  
    export 
    interface IParams{
      queryParams:IQueryParams
      
    }
    
    export function listBuyerAddress({queryParams}:IParams = {} as IParams) {
      return request({
        url: `/api/cphl/merch/procurement/order/manager/list/address`,
        method: 'get',
        noLoading:false,
        params: queryParams
      });
    }
   