
    /**
     * @desc 检查电话号码是否可用
     */
    import request from '@/utils/request'
    export class IQueryParams {
      
      /** mobile */
      mobile: string;
    }
  
    export 
    interface IParams{
      queryParams:IQueryParams
      
    }
    
    export function checkMobile({queryParams}:IParams = {} as IParams) {
      return request({
        url: `/api/cphl/merch/session/check/mobile`,
        method: 'get',
        noLoading:false,
        params: queryParams
      });
    }
   