
    /**
     * @desc 商家信息接口
     */
    import request from '@/utils/request'
    export class IQueryParams {
      
      /** 供应商id */
      id: string;
      /** 登录code,前端无需传,网关解析:接口生成已屏蔽 */
      tokenUserCode?: string;
    }
  
    export 
    interface IParams{
      queryParams:IQueryParams
      
    }
    
    export function supplierInfo({queryParams}:IParams = {} as IParams) {
      return request({
        url: `/api/cphl/merch/supplier/detail`,
        method: 'get',
        noLoading:false,
        params: queryParams
      });
    }
   