export const namespace = 'common-side-menu'

interface SideMenuState {
  collapsed: boolean
  tabsList: any[]
}

export type MenuProps = SideMenuState

const defaultState: SideMenuState = {
  collapsed: false,
  tabsList: []
}

export default {
  namespace,
  state: defaultState,
  effects: {},
  reducers: {
    setState(state, { payload }) {
      return { ...state, ...payload }
    }
  }
}
