export 
        class BuyerRegisterRequest {
          
      /** 确认密码 */
      confirmPassword = ''
      

      /** 登录账号 */
      loginName = ''
      

      /** 客户经理ID */
      managerId = ''
      

      /** 密码 */
      password = ''
      

      /** 验证码 */
      verifyCode = ''
      
        }
      
export 
        class CertificationInfoResponse {
          
      /** 当前商家审核状态 */
      status = ''
      

      /** 当前商家审核状态描述 */
      statusDesc = ''
      
        }
      
export 
        class CreateManagerQrCodeRequest {
          
      /** 操作员ID */
      operId = ''
      

      /** 重定向路径 */
      redirectUrl = ''
      

      /** 二维码指向路由 */
      targetUrl = ''
      
        }
      
export 
        class CustomerResponse {
          
      /** 商户简称 */
      abbreviation = ''
      

      /** 详细地址 */
      address = ''
      

      /** 审核状态:created 未认证,audit 审核中, pass: 通过, refuse:拒绝 文字描述在certificationDesc属性 */
      certification = ''
      

      /** certificationDesc */
      certificationDesc = ''
      

      /** 市 */
      cityCode = ''
      

      /** 市名称 */
      cityName = ''
      

      /** 联系人 */
      contacts = ''
      

      /** 区/县 */
      districtCode = ''
      

      /** 区/县名称 */
      districtName = ''
      

      /** 账户id */
      id = ''
      

      /** 是否有代理商权限 */
      isAgentAuthority = false
      

      /** 商家编码(未认证没有) */
      memberCode = ''
      

      /** 商家名称 */
      memberName = ''
      

      /** 客户类型(1:系统用户  2-供应商 3-经销商 4-代理商 5-企业 6-C端 消费者 */
      memberType = undefined
      

      /** 电话 */
      mobile = ''
      

      /** 省code */
      provinceCode = ''
      

      /** 省name */
      provinceName = ''
      

      /** 参数注释 */
      remark = ''
      

      /** 状态：1-注销，2-正常，3-停用，4-冻结 */
      status = undefined
      

      /** 状态：1-注销，2-正常，3-停用，4-冻结 */
      statusDesc = ''
      

      /** 收货乡镇 */
      streetCode = ''
      

      /** 收货乡镇 */
      streetName = ''
      
        }
      
export 
        class GoodsCategoryAssembleResponse {
          
      /** 背景图链接 */
      bgImageUrl = ''
      

      /** 名称 */
      categoryName = ''
      

      /** id */
      id = ''
      

      /** 层级id */
      level = undefined
      

      /** 父类id */
      pid = ''
      
        }
      
export 
        class GoodsInfoListResponse {
          
      /** 品牌名称 */
      brandName = ''
      

      /** 货币代码 */
      currencySymbol = ''
      

      /** 商品指导零售价 */
      guidePrice = ''
      

      /** 商品id */
      id = ''
      

      /** 商品主图 */
      mianImage = ''
      

      /** 商品名称 */
      name = ''
      

      /** 商品采购价 */
      price = ''
      

      /** 卖家id,如果是供应商卖家就是供应商id,如果是合伙人卖家就是合伙人代理id, 其他一样，方便以后填值 */
      sellerId = ''
      

      /** 卖家名称,如果是供应商卖家就是供应商名称,如果是合伙人卖家就是合伙人代理名称, 其他一样，方便以后填值 */
      sellerName = ''
      

      /** 发货单位营业类型 */
      shipperBusinessType = ''
      

      /** 发货单位营业类型描述 */
      shipperBusinessTypeDesc = ''
      

      /** 发货单位名称 */
      shipperName = ''
      

      /** 是否有库存 */
      stockNum = undefined
      

      /** 供应商id */
      supplierId = ''
      

      /** 供应商名称 */
      supplierName = ''
      
        }
      
export 
        class GoodsInfoResponse {
          
      /** 商品品牌id */
      brandId = ''
      

      /** 商品品牌名称 */
      brandName = ''
      

      /** 商品分类id */
      categoryId = ''
      

      /** 商品分类名称 */
      categoryName = ''
      

      /** 商品编码，平台编码 */
      code = ''
      

      /** 货币符号 */
      currencySymbol = ''
      

      /** 发货时间 */
      deliveryShouldDay = ''
      

      /** 商品详情，类型请参照原型或者询问产品。可能是html,可能是文本 */
      details = ''
      

      /** 标准单品规格信息 */
      goodsInfoSpecResponses = []
      

      /** 商品指导价格 */
      guidePrice = ''
      

      /** id */
      id = ''
      

      /** 主图 */
      mainImage = ''
      

      /** 最小购买量 */
      minNumber = undefined
      

      /** 商品名称 */
      name = ''
      

      /** 产品公告型号 */
      noticeModelCode = ''
      

      /** 商品上架状态 1-上架/2-下架 */
      onState = undefined
      

      /** 商品采购价格 */
      price = ''
      

      /** 商品价格最高价 */
      priceEnd = undefined
      

      /** 商品价格最低价 */
      priceStart = undefined
      

      /** 生产周期 */
      produceDay = undefined
      

      /** 配置介绍 */
      recommend = ''
      

      /** 卖家id,如果是供应商卖家就是供应商id,如果是合伙人卖家就是合伙人代理id, 其他一样，方便以后填值 */
      sellerId = ''
      

      /** 卖家名称,如果是供应商卖家就是供应商名称,如果是合伙人卖家就是合伙人代理名称, 其他一样，方便以后填值 */
      sellerName = ''
      

      /** 商品服务费出参对象 */
      serviceChargeSaveResponse = new GoodsInfoServiceChargeSaveResponse()
      

      /** 发货单位营业类型 */
      shipperBusinessType = ''
      

      /** 发货单位营业类型描述 */
      shipperBusinessTypeDesc = ''
      

      /** 发货单位名称 */
      shipperName = ''
      

      /** 商品规格值信息 */
      specAttrList = []
      

      /** 单品类型 (1-标准单品，2-组合单品) */
      specType = undefined
      

      /** 状态 1-销售/2-禁售 */
      status = undefined
      

      /** 是否有库存 */
      stockNum = undefined
      

      /** 供应商编码 */
      supplierCode = ''
      

      /** 供应商id */
      supplierId = ''
      

      /** 供应商名称 */
      supplierName = ''
      

      /** 第3方系统商品编码 */
      thirdCode = ''
      

      /** 商品单位名称 */
      unitName = ''
      

      /** 视频信息 */
      videoInfo = new VideoInfo()
      

      /** 轮播图 */
      wheelImage = []
      
        }
      
export 
        class GoodsInfoServiceChargeSaveResponse {
          
      /** 固定金额 */
      fixedValue = undefined
      

      /** 百分比参数 */
      percentValue = undefined
      

      /** 平台服务费类型 none:无 percent:百分比 fixed:固定金额 */
      type = 'none'
      

      /** 平台服务费类型描述 none:无 percent:百分比 fixed:固定金额 */
      typeDesc = 'none'
      
        }
      
export 
        class GoodsInfoSpecAttrSaveResponse {
          
      /** 规格属性id */
      id = ''
      

      /** 规格属性名称 */
      name = ''
      

      /** 规格属性名称排序 */
      sort = undefined
      

      /** 规格值 */
      values = []
      
        }
      
export 
        class GoodsInfoSpecAttrValResponse {
          
      /** 商品id */
      goodsId = ''
      

      /** 规格值id */
      id = ''
      

      /** 规格值图片id */
      imageFieldId = ''
      

      /** 规格值图片路径 */
      imagePath = ''
      

      /** 排序 */
      sort = undefined
      

      /** 规格id */
      specAttrId = ''
      

      /** 规格值名 */
      valueName = ''
      
        }
      
export 
        class GoodsInfoSpecResponse {
          
      /** 商品id */
      goodsId = ''
      

      /** 指导价 */
      guidePrice = undefined
      

      /** 规格id */
      id = ''
      

      /** 名称 */
      name = ''
      

      /** 单品采购价 若采购价未null,则表示用户没有权限查询 */
      purchasePrice = undefined
      

      /** 是否售卖 */
      sell = false
      

      /** 规格编码 */
      specCode = ''
      

      /** 商品规格码 */
      specOptionCode = ''
      
        }
      
export 
        class IwubidaPageResult {
          
      /** 当前页码 */
      current = undefined
      

      /** 列表数据 */
      results = []
      

      /** 每页条数 */
      size = undefined
      

      /** 总记录条数 */
      totalCount = undefined
      
        }
      
export 
        class MerchOrderCreateGoodsRequest {
          
      /** 商品所属供应商ID */
      customerId = ''
      

      /** 订单备注 */
      remark = ''
      

      /** 下单商品规格信息 */
      specRequestList = []
      
        }
      
export 
        class MerchOrderCreateGoodsSpecRequest {
          
      /** 购买数量 */
      number = undefined
      

      /** 商品规格ID */
      specId = ''
      
        }
      
export 
        class MerchOrderCreateRequest {
          
      /** 下单商品详细信息 */
      goodsRequests = []
      

      /** 订单类型(default-普通订单,groupBuying-团购订单, partner-合伙人订单) */
      orderType = ''
      

      /** 收货地址ID */
      receiversAddressId = ''
      

      /** 收货人电话 */
      receiversMobile = ''
      

      /** 收货人姓名 */
      receiversUserName = ''
      

      /** 登录code,前端无需传,网关解析:接口生成已屏蔽 */
      tokenUserCode = ''
      
        }
      
export 
        class OrderCustomerInfoResponse {
          
      /** 详细地址 */
      address = ''
      

      /** 市名称 */
      cityName = ''
      

      /** 联系人 */
      contacts = ''
      

      /** 区/县名称 */
      districtName = ''
      

      /** 账户id */
      id = ''
      

      /** 客户编码 */
      memberCode = ''
      

      /** 客户名称 */
      memberName = ''
      

      /** 客户类型(1:系统用户  2-供应商 3-经销商 4-代理商 5-企业 6-C端 消费者 */
      memberType = undefined
      

      /** 客户类型(1:系统用户  2-供应商 3-经销商 4-代理商 5-企业 6-C端 消费者 */
      memberTypeDesc = ''
      

      /** 联系电话 */
      mobile = ''
      

      /** 省name */
      provinceName = ''
      

      /** 收货乡镇 */
      streetName = ''
      
        }
      
export 
        class OrderCustomerPageRequest {
          
      /** 结束时间 */
      endTime = ''
      

      /** 是否分页{特殊场景:可动态切换模式;默认:true;true-分页，false-不分页} */
      isPage = false
      

      /** 模糊查询条件 : 供应商名称 订单编号 */
      keyWords = ''
      

      /** default-普通订单,groupBuying-团购订单, partner-合伙人订单 */
      orderType = ''
      

      /** 页码(默认值:1) */
      page = undefined
      

      /** (支付状态不为空时,查询订单主状态为所有)audit-待审核,unpaid-待支付,paid-已支付,refunded-已退款,settle-待结算,canc-已取消,partPaid-部分支付,settled-已结算,refund-待退款,rebates-部分退款 */
      payStatus = ''
      

      /** 页量(默认值:10) */
      size = undefined
      

      /** 开始时间 */
      startTime = ''
      

      /** all_全部/created_待接单/accepted_待发货/produced_待收货/finished_已完成/canceled_已取消(关键字与支付状态都为空时,此字段必填) */
      status = ''
      

      /** 登录code,前端无需传,网关解析:接口生成已屏蔽 */
      tokenUserCode = ''
      
        }
      
export 
        class OrderCustomerResponse {
          
      /** 下单商家 */
      buyerInfo = new OrderCustomerInfoResponse()
      

      /** 供应商信息 */
      sellerInfo = new OrderCustomerInfoResponse()
      
        }
      
export 
        class OrderDetailGoodsInfoResponse {
          
      /** 商品品牌 */
      brandName = ''
      

      /** 商品类型 */
      categoryName = ''
      

      /** 商品名称 */
      goodsName = ''
      

      /** 商品规格 */
      goodsSpec = ''
      

      /** 商品类型 1整车,2配件,3其他 */
      goodsType = undefined
      

      /** 商品类型 1整车,2配件,3其他 */
      goodsTypeDesc = ''
      

      /** 商品数量 */
      number = undefined
      

      /** 订单号 */
      orderId = ''
      

      /** 商品原价 */
      originalPrice = undefined
      

      /** 商品优惠价 */
      preferentialPrice = undefined
      

      /** 返回字母，营业类型(selfCamp-自营 otherCamp-他营) */
      shipperBusinessType = ''
      

      /** 返回汉字描述，营业类型(selfCamp-自营 otherCamp-他营) */
      shipperBusinessTypeDesc = ''
      

      /** 发货单位ID */
      shipperId = ''
      

      /** 发货单位 */
      shipperName = ''
      

      /** 商品规格编码 */
      specCode = ''
      

      /** 是否有库存 */
      stockNum = undefined
      

      /** 商品金额小计（优惠后）x.xx自动计算 */
      subtotal = undefined
      
        }
      
export 
        class OrderDetailInfoMerchResponse {
          
      /** 订单相关客户信息 */
      customerInfoResponse = new OrderCustomerInfoResponse()
      

      /** 订单商品信息 */
      orderDetailGoodsInfoRespons = []
      

      /** 订单装填信息 */
      orderDetailStatusResponse = new OrderDetailStatusResponse()
      

      /** 订单优惠信息 */
      orderDiscountsResponses = []
      

      /** 订单基础信息 */
      orderInfoResponse = new OrderInfoResponse()
      

      /** 订单发票信息 */
      orderInvoiceResponse = new OrderInvoiceResponse()
      
        }
      
export 
        class OrderDetailMerchRequest {
          
      /** 订单ID */
      orderId = ''
      

      /** 登录code,前端无需传,网关解析:接口生成已屏蔽 */
      tokenUserCode = ''
      
        }
      
export 
        class OrderDetailSendedResponse {
          
      /** 发货商品详情 */
      goodsInfoResponseList = []
      

      /** 物流订单编号 */
      logisticsCode = ''
      

      /** 物流单ID */
      logisticsId = ''
      

      /** 物流公司名称 */
      logisticsProvider = ''
      

      /** 操作人名 */
      operName = ''
      

      /** 订单号 */
      orderId = ''
      

      /** 发货单ID */
      orderLogisticsId = ''
      

      /** 收货时间 */
      receiversTime = ''
      

      /** 发货单号 */
      sendCode = ''
      

      /** 发货时间 */
      sendTime = ''
      

      /** 状态 */
      status = ''
      

      /** 状态描述 */
      statusDesc = ''
      
        }
      
export 
        class OrderDetailStatusResponse {
          
      /** 订单支付状态 */
      orderPayStatus = []
      

      /** 订单支付状态描述 */
      orderPayStatusDesc = ''
      

      /** 订单支付状态时间 */
      orderPayStatusTime = ''
      

      /** 订单支付状态描述 */
      orderPayStatusTimeDesc = ''
      

      /** 订单状态 */
      orderStatus = []
      

      /** 订单状态描述 */
      orderStatusDesc = ''
      

      /** 订单状态时间 */
      orderStatusTime = ''
      

      /** 订单状态时间文字描述 */
      orderStatusTimeDesc = ''
      
        }
      
export 
        class OrderDiscountsResponse {
          
      /** 优惠金额(x.xx实际支付金额由后台自动计算) */
      discountAmount = undefined
      

      /** 营销优惠类别(1-会员/2-平台/3-满减) */
      discountsType = undefined
      

      /** 营销优惠类别(1-会员/2-平台/3-满减) */
      discountsTypeDesc = ''
      

      /** 最终价 */
      finalPrice = undefined
      

      /** 订单号 */
      orderId = ''
      

      /** 原价 */
      originalPrice = undefined
      

      /** 优惠价 */
      preferentialPrice = undefined
      
        }
      
export 
        class OrderGoodsInfoResponse {
          
      /** 商品名称 */
      goodsName = ''
      

      /** 商品数量 */
      number = undefined
      

      /** 订单号 */
      orderId = ''
      

      /** 返回字母，营业类型(selfCamp-自营 otherCamp-他营) */
      shipperBusinessType = ''
      

      /** 返回汉字描述，营业类型(selfCamp-自营 otherCamp-他营) */
      shipperBusinessTypeDesc = ''
      

      /** 发货单位ID */
      shipperId = ''
      

      /** 发货单位 */
      shipperName = ''
      
        }
      
export 
        class OrderInfoMainStatusResponse {
          
      /** 之后状态值 */
      afterStatus = []
      

      /** 当前状态值 */
      currentStatus = ''
      

      /** 之前状态值 */
      frontStatus = []
      
        }
      
export 
        class OrderInfoResponse {
          
      /** 接单时间 */
      acceptTime = ''
      

      /** 订单已付金额(x.xx用户已支付金额(如订金)) */
      amountPaid = undefined
      

      /** 订单应付金额(x.xx公式：订单原价-优惠-服务费自动计算) */
      amountPayable = undefined
      

      /** 订单结欠金额(x.xx公式：订单应付金额-订单已付金额自动计算) */
      balanceDue = undefined
      

      /** 买家id */
      buyerId = ''
      

      /** 买家名称 */
      buyerName = ''
      

      /** 买家类型(4-代理商/3-经销商/2-生产商/5-企业/6-消费者) */
      buyerType = undefined
      

      /** 买家类型(4-代理商/3-经销商/2-生产商/5-企业/6-消费者) */
      buyerTypeDesc = ''
      

      /** 买家备注 */
      buyersNote = ''
      

      /** 取消原因 */
      cancelReason = ''
      

      /** 取消备注 */
      cancelRemark = ''
      

      /** 取消时间 */
      cancelTime = ''
      

      /** 收货地址 城市编码 */
      cityCode = ''
      

      /** 收货地址 城市名称 */
      cityName = ''
      

      /** 单号编号 */
      code = ''
      

      /** 创建时间 */
      createTime = ''
      

      /** 货币符号 */
      currencySymbol = ''
      

      /** wait_待清分/uncheck_待审核/done_已清分/process_清分中 */
      dealStatus = ''
      

      /** 物流地址ID */
      deliveryAddressId = ''
      

      /** 收货地址 区编码 */
      districtCode = ''
      

      /** 收货地址 区名称 */
      districtName = ''
      

      /** id */
      id = ''
      

      /** 物流状态(undeliveried-待发货/distribution-配送中/deliveried-已送达（连接第3方系统状态或人工输入)) */
      logisticsStatus = ''
      

      /** 物流状态(undeliveried-待发货/distribution-配送中/deliveried-已送达 (连接第3方系统状态或人工输入)) */
      logisticsStatusDesc = ''
      

      /** 主状态模块 */
      mainStatus = new OrderInfoMainStatusResponse()
      

      /** 联系方式 */
      mobile = ''
      

      /** 收货地址 国家码 */
      nationalityCode = ''
      

      /** 收货地址 国家名称 */
      nationalityName = ''
      

      /** 创建人员 */
      operIdCreate = ''
      

      /** 修改人员 */
      operIdMod = ''
      

      /** 创建人员 姓名 */
      operNameCreate = ''
      

      /** 修改人员姓名 */
      operNameMod = ''
      

      /** 订单类型(default-普通订单,groupBuying-团购订单) */
      orderType = ''
      

      /** 订单原价 */
      originalPrice = undefined
      

      /** 支付金额 */
      payAmount = undefined
      

      /** 支付渠道(1-微信、2-支付宝、3-银联、4-线下) */
      payChannel = undefined
      

      /** 支付渠道(1-线上/2-线下 */
      payChannelDesc = ''
      

      /** 支付状态audit-审核中,unpaid-待支付/settle-待结算/canc-已取消/paid-已支付/partPaid-部分支付/settled-已结算/refund-待退款/rebates-部分退款/refunded-已退款) */
      payStatus = ''
      

      /** 支付状态unpaid-待支付/settle-待结算/canc-已取消/paid-已支付/partPaid-部分支付/settled-已结算/refund-待退款/rebates-部分退款/refunded-已退款) */
      payStatusDesc = ''
      

      /** 支付方式(1-全款支付/2-订金支付/3-货到付款/4-货到月结) */
      payWay = undefined
      

      /** 支付方式(all-全款支付/deposit-订金支付/cash_on_delivery-货到付款/send-发货付款/credit-授信支付/balance-尾款支付) */
      payWayDesc = ''
      

      /** porderId */
      porderId = ''
      

      /** 订单优惠 */
      preferentialPrice = undefined
      

      /** 生产状态(unproduced-待生产/production-生产中/produced_生产完成
 */
      productionStatus = ''
      

      /** 生产状态(unproduced-待生产/production-生产中/produced_生产完成
 */
      productionStatusDesc = ''
      

      /** 收货地址 省编码 */
      provinceCode = ''
      

      /** 收货地址 省名称 */
      provinceName = ''
      

      /** 收货地址 收货详细地址 */
      receiverAddress = ''
      

      /** 收货地址 电话 */
      receiverMobile = ''
      

      /** 收货地址 收货人名称 */
      receiverName = ''
      

      /** 备注 */
      remark = ''
      

      /** 卖家id */
      sellerId = ''
      

      /** 卖家名称 */
      sellerName = ''
      

      /** 卖家类型(4-代理商/2-生产商) */
      sellerType = undefined
      

      /** 卖家类型(4-代理商/2-生产商) */
      sellerTypeDesc = ''
      

      /** 平台服务费 */
      servicePrice = undefined
      

      /** 平台补贴优惠(使用平台优惠券场景下) */
      serviceSubsidyPrice = undefined
      

      /** 订单是否需要支付(判断立即支付按钮是否展示) */
      showPay = false
      

      /** 订单状态(created_待接单/accepted_待发货/acceptedpart_部分发货/produced_待收货/producedpart_部分收货/finished_已完成/canceled_已取消 */
      status = ''
      

      /** 订单状态(created_待接单/accepted_待发货/acceptedpart_部分发货/produced_待收货/producedpart_部分收货/finished_已完成/canceled_已取消 */
      statusDesc = ''
      

      /** 收货乡镇 */
      streetCode = ''
      

      /** 收货乡镇 */
      streetName = ''
      

      /** 税率 */
      taxRate = undefined
      

      /** 第三方订单编号 */
      thirdCode = ''
      

      /** 订单商品总数 */
      totalNumber = undefined
      

      /** 修改时间 */
      updateTime = ''
      

      /** 物流方式(1-物流配送/2-到店自提) */
      way = undefined
      

      /** 物流方式(1-物流配送/2-到店自提) */
      wayDesc = ''
      
        }
      
export 
        class OrderInvoiceResponse {
          
      /** 账号 */
      account = ''
      

      /** 开户行 */
      bank = ''
      

      /** 单位名称 */
      companyName = ''
      

      /** 发票内容(商品明细根据商品列表列出，但亦可由卖方修改，只是开票参考) */
      content = ''
      

      /** 创建时间 */
      createTime = ''
      

      /** id */
      id = ''
      

      /** 纳税人识别号 */
      identifyNumber = ''
      

      /** 发票类型(发票性质 1-个人 2-公司) */
      invoiceNature = undefined
      

      /** 电话 */
      mobile = ''
      

      /** 创建人员 */
      operIdCreate = ''
      

      /** 修改人员 */
      operIdMod = ''
      

      /** 创建人员 姓名 */
      operNameCreate = ''
      

      /** 修改人员姓名 */
      operNameMod = ''
      

      /** 订单号 */
      orderId = ''
      

      /** 发票状态(1-已开票/2-待开票/不3-适用) */
      status = undefined
      

      /** 发票状态(1-已开票/2-待开票/不3-适用) */
      statusDesc = ''
      

      /** 发票抬头:卖方公司名称 */
      title = ''
      

      /** 发票类型(1-普通发票/2-增值税发票) */
      type = undefined
      

      /** 发票类型(1-普通发票/2-增值税发票) */
      typeDesc = ''
      

      /** 单位地址 */
      unitAddress = ''
      

      /** 修改时间 */
      updateTime = ''
      
        }
      
export 
        class OrderLogisticsPageRequest {
          
      /** 是否分页{特殊场景:可动态切换模式;默认:true;true-分页，false-不分页} */
      isPage = false
      

      /** 模糊查询条件 : 供应商名称 订单编号 */
      keyWords = ''
      

      /** 页码(默认值:1) */
      page = undefined
      

      /** 页量(默认值:10) */
      size = undefined
      

      /** 登录code,前端无需传,网关解析:接口生成已屏蔽 */
      tokenUserCode = ''
      
        }
      
export 
        class OrderLogisticsReponse {
          
      /** 创建时间 */
      createTime = ''
      

      /** id */
      id = ''
      

      /** 物流订单编号 */
      logisticsCode = ''
      

      /** 物流公司名称 */
      logisticsProvider = ''
      

      /** 创建人员 */
      operIdCreate = ''
      

      /** 修改人员 */
      operIdMod = ''
      

      /** 创建人员 姓名 */
      operNameCreate = ''
      

      /** 修改人员姓名 */
      operNameMod = ''
      

      /** 订单编号 */
      orderCode = ''
      

      /** 订单ID */
      orderId = ''
      

      /** 发货单编号 */
      orderLogisticsId = ''
      

      /** 收货时间 */
      receiversTime = ''
      

      /** 收货商家id */
      receiversUserId = ''
      

      /** 收货商家名称 */
      receiversUserName = ''
      

      /** 发货备注 */
      remark = ''
      

      /** 发货单号 */
      sendCode = ''
      

      /** 发货时间 */
      sendTime = ''
      

      /** 此次发货总数量 */
      sendTotal = undefined
      

      /** 发货商家id */
      sendUserId = ''
      

      /** 发货商家名称 */
      sendUserName = ''
      

      /** 状态 */
      status = ''
      

      /** 状态描述 */
      statusDesc = ''
      

      /** 修改时间 */
      updateTime = ''
      
        }
      
export 
        class OrderPageInfoDetailReponse {
          
      /** 代理商编号 */
      agentCode = ''
      

      /** 代理商id */
      agentId = ''
      

      /** 代理商名称 */
      agentName = ''
      

      /** 订单已付金额(x.xx用户已支付金额(如订金)) */
      amountPaid = undefined
      

      /** 订单应付金额(x.xx公式：订单原价-优惠-服务费自动计算) */
      amountPayable = undefined
      

      /** 订单结欠金额(x.xx公式：订单应付金额-订单已付金额自动计算) */
      balanceDue = undefined
      

      /** 买家编码 */
      buyerCode = ''
      

      /** 买家id */
      buyerId = ''
      

      /** 买家名称 */
      buyerName = ''
      

      /** 买家类型(4-代理商/3-经销商/2-生产商/5-企业/6-消费者) */
      buyerType = undefined
      

      /** 买家类型(4-代理商/3-经销商/2-生产商/5-企业/6-消费者) */
      buyerTypeDesc = ''
      

      /** 订单编号 */
      code = ''
      

      /** 下单日期 */
      createTime = ''
      

      /** 清分模式 (hand-手动  auto-自动) */
      dealMode = ''
      

      /** 清分状态 (wait-待清分，uncheck-待审核，done-已清分，process-清分中) */
      dealStatus = ''
      

      /** ID */
      id = ''
      

      /** 订单是否可收货 */
      isReceipt = false
      

      /** 物流状态(undeliveried-待发货/distribution-配送中/deliveried-已送达
            (连接第3方系统状态或人工输入)) */
      logisticsStatus = ''
      

      /** 物流状态(undeliveried-待发货/distribution-配送中/deliveried-已送达
            (连接第3方系统状态或人工输入)) */
      logisticsStatusDesc = ''
      

      /** 订单商品 */
      orderGoodsInfoResponseList = []
      

      /** 订单类型 */
      orderType = ''
      

      /** 订单类型 */
      orderTypeDesc = ''
      

      /** 支付渠道(线上(1-微信、2-支付宝、3-银联)/4-线下 */
      payChannel = undefined
      

      /** 支付渠道(线上(1-微信、2-支付宝、3-银联)/4-线下 */
      payChannelDesc = ''
      

      /** 支付状态(audit-待审核,unpaid-待支付,paid-已支付,refunded-已退款,settle-待结算,canc-已取消,partPaid-部分支付,settled-已结算,refund-待退款,rebates-部分退款) */
      payStatus = ''
      

      /** 支付状态(支付状态(audit-待审核,unpaid-待支付,paid-已支付,refunded-已退款,settle-待结算,canc-已取消,partPaid-部分支付,settled-已结算,refund-待退款,rebates-部分退款)) */
      payStatusDesc = ''
      

      /** 支付方式(1-全款支付/2-订金支付/3-货到付款/4-货到月结) */
      payWay = undefined
      

      /** 支付方式(1-全款支付/2-订金支付/3-货到付款/4-货到月结) */
      payWayDesc = ''
      

      /** 生产状态(unproduced-待生产/production-生产中/produced_生产完成
            (连接第3方系统状态或人工输入) */
      productionStatus = ''
      

      /** 生产状态(unproduced-待生产/production-生产中/produced_生产完成
            (连接第3方系统状态或人工输入) */
      productionStatusDesc = ''
      

      /** 卖家编码 */
      sellerCode = ''
      

      /** 卖家id */
      sellerId = ''
      

      /** 卖家名称 */
      sellerName = ''
      

      /** 卖家类型(4-代理商/2-生产商) */
      sellerType = undefined
      

      /** 卖家类型(4-代理商/2-生产商) */
      sellerTypeDesc = ''
      

      /** 供应商端(created_待接单/(accepted,accepted_part)_待发货(显示商品发货)/(sending,produced,produced_part)_待收货(显示商品收货)/(receive,finished)_已完成/canceled_已取消)
经销商端(created_待接单/accepted_待发货/accepted_part(待发货,显示商品收货)/(sending,produced,produced_part)_待收货(显示商品收货)/(receive,finished)_已完成/canceled_已取消 */
      status = ''
      

      /** 订单状态(created_待接单/accepted_待发货/acceptedpart_部分发货/produced_待收货/producedpart_部分收货/finished_已完成/canceled_已取消) */
      statusDesc = ''
      

      /** 订单三方编号 */
      thirdCode = ''
      
        }
      
export 
        class OrderPayDetailsListResponse {
          
      /** 审核意见 */
      auditReason = ''
      

      /** 审核人员 */
      operNameMod = ''
      

      /** 订单id */
      orderId = ''
      

      /** 支付金额 */
      payAmount = undefined
      

      /** 支付方式(1-微信、2-支付宝、3-银联、4-线下) */
      payChannel = undefined
      

      /** 支付方式-中文描述 */
      payChannelDesc = ''
      

      /** 支付单号 */
      payCode = ''
      

      /** 支付id */
      payId = ''
      

      /** 支付时间 */
      payTime = ''
      

      /** 备注 */
      remark = ''
      

      /** 支付状态(audit-待审核,paid-已完成,canc-已作废) */
      status = ''
      

      /** 支付状态中文描述 */
      statusDesc = ''
      

      /** 审核时间 */
      updateTime = ''
      

      /** 收款凭证图片列表 */
      voucherImgList = []
      
        }
      
export 
        class OrderPayDetailsResponse {
          
      /** 订单已付金额 */
      amountPaid = undefined
      

      /** 订单应付金额 */
      amountPayable = undefined
      

      /** 订单结欠金额(待付金额) */
      balanceDue = undefined
      

      /** 主状态模块 */
      mainStatus = new OrderInfoMainStatusResponse()
      

      /** 销售单号 */
      orderCode = ''
      

      /** 订单id */
      orderId = ''
      

      /** 订单原价 */
      originalPrice = undefined
      

      /** 支付记录 */
      paymentRecord = []
      

      /** 订单优惠 */
      preferentialPrice = undefined
      

      /** 订单状态(created_待接单/accepted_待发货/acceptedpart_部分发货/produced_待收货/producedpart_部分收货/finished_已完成/canceled_已取消 */
      status = ''
      

      /** 订单状态中文描述(created_待接单/accepted_待发货/acceptedpart_部分发货/produced_待收货/producedpart_部分收货/finished_已完成/canceled_已取消 */
      statusDesc = ''
      
        }
      
export 
        class OrderSendedGoodsInfoResponse {
          
      /** 商品品牌 */
      brandName = ''
      

      /** 商品类型 */
      categoryName = ''
      

      /** 商品名称 */
      goodsName = ''
      

      /** 商品规格 */
      goodsSpec = ''
      

      /** 商品类型 1整车,2配件,3其他 */
      goodsType = undefined
      

      /** 商品类型 1整车,2配件,3其他 */
      goodsTypeDesc = ''
      

      /** 订单详情ID */
      orderDetailId = ''
      

      /** 本次发货数量 */
      sendedNumber = undefined
      

      /** 商品规格编码 */
      specCode = ''
      

      /** 商品总量 */
      totalNumber = undefined
      
        }
      
export 
        class OrderStatusResponse {
          
      /** 当前状态时间 */
      createTime = ''
      

      /** 当前状态时间文字描述 */
      createTimeDesc = ''
      

      /** id */
      id = ''
      

      /** 创建人员 */
      operIdCreate = ''
      

      /** 修改人员 */
      operIdMod = ''
      

      /** 创建人员 姓名 */
      operNameCreate = ''
      

      /** 修改人员姓名 */
      operNameMod = ''
      

      /** 订单号ID */
      orderId = ''
      

      /** 当前状态 */
      status = ''
      

      /** 当前状态 */
      statusDesc = ''
      

      /** 状态类型 1-订单状态,2-物流装填,3-支付状态,4-生产状态 */
      statusType = undefined
      

      /** 状态类型 1-订单状态,2-物流装填,3-支付状态,4-生产状态 */
      statusTypeDesc = undefined
      

      /** 修改时间 */
      updateTime = ''
      
        }
      
export 
        class Result {
          
      /** 业务码->200:处理成功,500-业务逻辑错误,1005-服务端全局错误统一提示语;其他业务码视接口返回定义 */
      code = ''
      

      /** 返回数据 */
      data = new GoodsInfoResponse()
      

      /** 异常信息 */
      exceptionMsg = ''
      

      /** 提示语言(用户视图语言) */
      message = ''
      

      /** 是否成功(code=200,为true;code多值时刻体现作用方便判断):true=200-成功,false-失败结合code处理相应逻辑 */
      success = false
      
        }
      
export 
        class SessionCreateRequest {
          
      /** 登录账户 */
      account = ''
      

      /** 账户密码 */
      password = ''
      
        }
      
export 
        class SupplierResponse {
          
      /** 地址 */
      address = ''
      

      /** 联系人 */
      contact = ''
      

      /** id */
      id = ''
      

      /** 介绍 */
      introduce = ''
      

      /** 门面图片 */
      logo = ''
      

      /** 联系电话 */
      mobile = ''
      

      /** 供应商名称 */
      name = ''
      

      /** 上班时间 */
      openTime = ''
      

      /** 工作日 */
      workingDay = ''
      

      /** 下班时间v1.1未使用 */
      workingHourEnd = ''
      

      /** 上班时间 v1.1未使用 */
      workingHourStart = ''
      
        }
      
export 
        class UBuyerAddressResponse {
          
      /** 详细地址 */
      address = ''
      

      /** 市 */
      cityCode = ''
      

      /** 市名称 */
      cityName = ''
      

      /** 联系人 */
      contact = ''
      

      /** 区 */
      districtCode = ''
      

      /** 区 */
      districtName = ''
      

      /** 配送地址ID */
      id = ''
      

      /** 电话 */
      mobile = ''
      

      /** 国 */
      nationalityCode = ''
      

      /** 国名称 */
      nationalityName = ''
      

      /** 省code */
      provinceCode = ''
      

      /** 省name */
      provinceName = ''
      

      /** 街道码 */
      streetCode = ''
      

      /** 街道名称 */
      streetName = ''
      

      /** 用户id */
      userId = ''
      
        }
      
export 
        class VideoInfo {
          
      /** 视频 */
      video = ''
      

      /** 视频封面 */
      videoPoster = ''
      
        }
      
export 
        class XxxxRequest {
          
      /** 名称 */
      name = ''
      

      /** 登录code,前端无需传,网关解析:接口生成已屏蔽 */
      tokenUserCode = ''
      
        }
      