
    /**
     * @desc 商量类别接口
     */
    import request from '@/utils/request'
    export class IQueryParams {
      
      /** 父类别id */
      pid?: string;
    }
  
    export 
    interface IParams{
      queryParams:IQueryParams
      
    }
    
    export function list({queryParams}:IParams = {} as IParams) {
      return request({
        url: `/api/cphl/merch/good/category/list`,
        method: 'get',
        noLoading:false,
        params: queryParams
      });
    }
   