
    /**
     * @desc 获取指定层级商品类别
     */
    import request from '@/utils/request'
    export class IQueryParams {
      
      /** 层级 */
      levels?: Array<number>;
    }
  
    export 
    interface IParams{
      queryParams:IQueryParams
      
    }
    
    export function listByLevels({queryParams}:IParams = {} as IParams) {
      return request({
        url: `/api/cphl/merch/good/category/list/level`,
        method: 'get',
        noLoading:false,
        params: queryParams
      });
    }
   