
    /**
     * @desc 付款-订单详情
     */
    import request from '@/utils/request'
    export class IQueryParams {
      
      /** 订单id */
      orderId: string;
      /** 登录code,前端无需传,网关解析:接口生成已屏蔽 */
      tokenUserCode?: string;
    }
  
    export 
    interface IParams{
      queryParams:IQueryParams
      
    }
    
    export function payDetail({queryParams}:IParams = {} as IParams) {
      return request({
        url: `/api/cphl/merch/payment/pay/payDetail`,
        method: 'get',
        noLoading:false,
        params: queryParams
      });
    }
   