
    /**
     * @desc 获取上次下单地址ID
     */
    import request from '@/utils/request'
    export class IQueryParams {
      
      /** 登录code,前端无需传,网关解析:接口生成已屏蔽 */
      tokenUserCode?: string;
    }
  
    export 
    interface IParams{
      queryParams:IQueryParams
      
    }
    
    export function getLastAddressId({queryParams}:IParams = {} as IParams) {
      return request({
        url: `/api/cphl/merch/procurement/order/manager/get/last/address_id`,
        method: 'get',
        noLoading:false,
        params: queryParams
      });
    }
   