
    /**
     * @desc 根据ID获取订单优惠信息
     */
    import request from '@/utils/request'
    export class IQueryParams {
      
      /** 订单ID */
      orderId: string;
      /** 登录code,前端无需传,网关解析:接口生成已屏蔽 */
      tokenUserCode?: string;
    }
  
    export 
    interface IParams{
      queryParams:IQueryParams
      
    }
    
    export function listOrderDiscounts({queryParams}:IParams = {} as IParams) {
      return request({
        url: `/api/cphl/merch/procurement/order/manager/detail/discounts`,
        method: 'get',
        noLoading:false,
        params: queryParams
      });
    }
   