
    /**
     * @desc 根据Token换取商户信息
     */
    import request from '@/utils/request'
    export class IQueryParams {
      
      /** 登录code,前端无需传,网关解析:接口生成已屏蔽 */
      tokenUserCode?: string;
    }
  
    export 
    interface IParams{
      queryParams:IQueryParams
      
    }
    
    export function getCustomerInfo({queryParams}:IParams = {} as IParams) {
      return request({
        url: `/api/cphl/merch/session/customerInfo`,
        method: 'get',
        noLoading:false,
        params: queryParams
      });
    }
   