
    /**
     * @desc 获取管理员二维码
     */
    import request from '@/utils/request'
    export class IQueryParams {
      
      /** managerId */
      managerId: string;
    }
  
    export 
    interface IParams{
      queryParams:IQueryParams
      
    }
    
    export function getManagerQrCode({queryParams}:IParams = {} as IParams) {
      return request({
        url: `/api/cphl/merch/session/get/managet/qrcode`,
        method: 'get',
        noLoading:false,
        params: queryParams
      });
    }
   